Bug 1267783 - [abrt] remmina: _XInternAtom(): remmina killed by SIGSEGV
[abrt] remmina: _XInternAtom(): remmina killed by SIGSEGV
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: remmina (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:965344eb5ec41b002101711f107...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-30 21:15 EDT by Bill
Modified: 2016-04-05 04:50 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-07 11:55:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (35.82 KB, text/plain)
2015-09-30 21:15 EDT, Bill
no flags Details
File: cgroup (190 bytes, text/plain)
2015-09-30 21:15 EDT, Bill
no flags Details
File: core_backtrace (5.65 KB, text/plain)
2015-09-30 21:15 EDT, Bill
no flags Details
File: dso_list (11.82 KB, text/plain)
2015-09-30 21:15 EDT, Bill
no flags Details
File: environ (820 bytes, text/plain)
2015-09-30 21:15 EDT, Bill
no flags Details
File: exploitable (82 bytes, text/plain)
2015-09-30 21:15 EDT, Bill
no flags Details
File: limits (1.29 KB, text/plain)
2015-09-30 21:15 EDT, Bill
no flags Details
File: maps (59.52 KB, text/plain)
2015-09-30 21:15 EDT, Bill
no flags Details
File: mountinfo (3.46 KB, text/plain)
2015-09-30 21:15 EDT, Bill
no flags Details
File: namespaces (85 bytes, text/plain)
2015-09-30 21:15 EDT, Bill
no flags Details
File: open_fds (1.84 KB, text/plain)
2015-09-30 21:15 EDT, Bill
no flags Details
File: proc_pid_status (1008 bytes, text/plain)
2015-09-30 21:15 EDT, Bill
no flags Details
File: var_log_messages (1.02 KB, text/plain)
2015-09-30 21:15 EDT, Bill
no flags Details

  None (edit)
Description Bill 2015-09-30 21:15:11 EDT
Description of problem:
This occurs whenever logging remmina into a remote server when remmina  launched from a gnome on wayland session. The problem doesn't occur with a standard gnome on X session.

Version-Release number of selected component:
remmina-1.2.0-0.8.git.b3237e8.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        remmina
crash_function: _XInternAtom
executable:     /usr/bin/remmina
global_pid:     6551
kernel:         4.2.1-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _XInternAtom at IntAtom.c:85
 #1 XInternAtom at IntAtom.c:175
 #2 gdk_x11_atom_to_xatom_for_display at gdkproperty-x11.c:115
 #3 remmina_public_get_current_workspace at /usr/src/debug/Remmina-b3237e832df87bffc176c4f4024000b3d2d776cf/remmina/src/remmina_public.c:492
 #4 remmina_widget_pool_find at /usr/src/debug/Remmina-b3237e832df87bffc176c4f4024000b3d2d776cf/remmina/src/remmina_widget_pool.c:100
 #5 remmina_connection_window_find at /usr/src/debug/Remmina-b3237e832df87bffc176c4f4024000b3d2d776cf/remmina/src/remmina_connection_window.c:2858
 #6 remmina_connection_object_on_connect at /usr/src/debug/Remmina-b3237e832df87bffc176c4f4024000b3d2d776cf/remmina/src/remmina_connection_window.c:2871
 #10 g_signal_emit_by_name at gsignal.c:3479
 #11 remmina_protocol_widget_emit_signal_timeout at /usr/src/debug/Remmina-b3237e832df87bffc176c4f4024000b3d2d776cf/remmina/src/remmina_protocol_widget.c:430
 #18 gtk_main at gtkmain.c:1235
Comment 1 Bill 2015-09-30 21:15:15 EDT
Created attachment 1078873 [details]
File: backtrace
Comment 2 Bill 2015-09-30 21:15:16 EDT
Created attachment 1078874 [details]
File: cgroup
Comment 3 Bill 2015-09-30 21:15:18 EDT
Created attachment 1078875 [details]
File: core_backtrace
Comment 4 Bill 2015-09-30 21:15:20 EDT
Created attachment 1078876 [details]
File: dso_list
Comment 5 Bill 2015-09-30 21:15:21 EDT
Created attachment 1078877 [details]
File: environ
Comment 6 Bill 2015-09-30 21:15:23 EDT
Created attachment 1078878 [details]
File: exploitable
Comment 7 Bill 2015-09-30 21:15:24 EDT
Created attachment 1078879 [details]
File: limits
Comment 8 Bill 2015-09-30 21:15:26 EDT
Created attachment 1078880 [details]
File: maps
Comment 9 Bill 2015-09-30 21:15:27 EDT
Created attachment 1078881 [details]
File: mountinfo
Comment 10 Bill 2015-09-30 21:15:29 EDT
Created attachment 1078882 [details]
File: namespaces
Comment 11 Bill 2015-09-30 21:15:30 EDT
Created attachment 1078883 [details]
File: open_fds
Comment 12 Bill 2015-09-30 21:15:31 EDT
Created attachment 1078884 [details]
File: proc_pid_status
Comment 13 Bill 2015-09-30 21:15:33 EDT
Created attachment 1078885 [details]
File: var_log_messages
Comment 14 Pavel Alexeev 2015-11-07 11:55:09 EST
Thank you very much for the bugreport and willing make free software better.
That issue reported to upstream authors - https://github.com/FreeRDP/Remmina/issues/677
I'll try follow fixes and push updates when it will be resolved.
Comment 15 Yajo 2015-11-12 04:06:41 EST
Another user experienced a similar problem:

Open Remmina and try to connect to a RDP session. It was working in F22.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        remmina
crash_function: _XInternAtom
executable:     /usr/bin/remmina
global_pid:     3467
kernel:         4.2.5-300.fc23.x86_64
package:        remmina-1.2.0-0.8.git.b3237e8.fc23
reason:         remmina killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 Yajo 2015-11-17 03:05:34 EST
This has been patched upstream.
Comment 17 dr.NET id Rainero Diego 2015-11-30 11:01:25 EST
Another user experienced a similar problem:

Aprendo Remmina alla scelta dell'SSH a cui connettersi una volta immessa password Remmina crasha

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        remmina
crash_function: _XInternAtom
executable:     /usr/bin/remmina
global_pid:     3788
kernel:         4.2.6-300.fc23.x86_64
package:        remmina-1.2.0-0.8.git.b3237e8.fc23
reason:         remmina killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 18 Luke Carrier 2016-01-23 19:07:29 EST
Another user experienced a similar problem:

Launch Remmina and attempt to connect to an RDP server.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        remmina
crash_function: _XInternAtom
executable:     /usr/bin/remmina
global_pid:     19594
kernel:         4.3.3-300.fc23.x86_64
package:        remmina-1.2.0-0.8.git.b3237e8.fc23
reason:         remmina killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 19 Pavel Alexeev 2016-01-24 06:11:15 EST
Thank you very much for the bugreport and willing free software better.

Unfortunately most of such problems known issues. But I can't update remmina in stable Fedora branches. Details you may read in description of that copr repo https://copr.fedoraproject.org/coprs/hubbitus/remmina-next/ . It also contains fresh versions of rfeerdp and remmina. I strongly recommend you try it. You may also try install packages from rawhide (may have unstable dependencies).

If packages in copr also does not solve you problem - please leave comments and reopen issue.

Also it is required to provide steps to reproduce problem.

Note You need to log in before you can comment on or make changes to this bug.